<?php

namespace App\Models;

use Illuminate\Database\Eloquent\Factories\HasFactory;
use Illuminate\Database\Eloquent\Model;

class Expense extends Model
{
    use HasFactory;

    protected $table = 'pengeluaran'; // Nama tabel dalam database
    protected $primaryKey = 'id_pengeluaran'; // Primary key
    public $timestamps = false; // Tidak menggunakan created_at dan updated_at otomatis

    protected $fillable = [
        'keterangan',
        'jumlah_pengeluaran',
        'tanggal_pengeluaran'
    ];
}
