@extends('layouts.app')

@section('content')
    <div class="container-fluid">
        <h4 class="fw-bold text-primary">Tambah Data Pengeluaran</h4>
        <hr>

        <form action="{{ route('admin.storeexpense') }}" method="POST" enctype="multipart/form-data">
            @csrf
            <div class="mb-3">
                <label for="keterangan" class="form-label">Keterangan</label>
                <input type="text" name="keterangan" id="keterangan" class="form-control" required>
            </div>

            <div class="mb-3">
                <label for="tanggal_pengeluaran" class="form-label">Tanggal Pengeluaran</label>
                <input type="date" name="tanggal_pengeluaran" id="tanggal_pengeluaran" class="form-control" required>
            </div>

            <div class="mb-3">
                <label for="jumlah_pengeluaran" class="form-label">Jumlah (Rp)</label>
                <input type="text" name="jumlah_pengeluaran" id="jumlah_pengeluaran" class="form-control" required placeholder="Contoh: 1.200.000">
            </div>            

            <div class="d-flex justify-content-between">
                <a href="{{ route('admin.expense') }}" class="btn btn-secondary">Kembali</a>
                <button type="submit" class="btn text-white" style="background-color: #48499B;">
                    <i class="bi bi-save"></i> Simpan Data
                </button>
            </div>
        </form>
    </div>
@endsection
