@extends('layouts.app')

@section('content')
    <div class="container p-4">
        <div class="card shadow-sm p-3">
            <h4 class="fw-bold" style="color: #063986;">Tambah Pengguna</h4>

            <form action="{{ route('admin.storecustomer') }}" method="POST" enctype="multipart/form-data">
                @csrf
                <div class="mb-3">
                    <label class="form-label">Nama</label>
                    <input type="text" name="name" class="form-control" maxlength="255" required>
                </div>

                <div class="mb-3">
                    <label class="form-label">Email</label>
                    <input type="email" name="email" class="form-control" maxlength="100" required>
                </div>

                <button type="submit" class="btn btn-primary">Simpan</button>
                <a href="{{ route('admin.customer') }}" class="btn btn-secondary">Kembali</a>
            </form>
        </div>
    </div>
@endsection
