@extends('layouts.app')

@section('content')
    <div class="container-fluid p-4">
        <div class="card shadow p-4">
            <h4 class="fw-bold">Edit Data Pengeluaran</h4>
            <hr>

            <form action="{{ route('admin.updateexpense', ['id_pengeluaran' => $pengeluaran->id_pengeluaran]) }}" method="POST" enctype="multipart/form-data">
                @csrf

                <div class="mb-3">
                    <label for="keterangan" class="form-label">Keterangan</label>
                    <input type="text" name="keterangan" id="keterangan" class="form-control" required value="{{ old('keterangan', $pengeluaran->keterangan) }}">
                </div>

                <div class="mb-3">
                    <label for="tanggal_pengeluaran" class="form-label">Tanggal Pengeluaran</label>
                    <input type="date" name="tanggal_pengeluaran" id="tanggal_pengeluaran" class="form-control" value="{{ $pengeluaran->tanggal_pengeluaran }}" required>
                </div>

                <div class="mb-3">
                    <label for="jumlah_pengeluaran" class="form-label fw-bold">Total Pengeluaran (Rp)</label>
                    <input type="number" name="jumlah_pengeluaran" id="jumlah_pengeluaran" class="form-control fw-bold" step="0.01" min="0" required value="{{ $pengeluaran->jumlah_pengeluaran }}">
                </div>

                <div class="d-flex justify-content-between">
                    <a href="{{ route('admin.expense') }}" class="btn btn-secondary">Kembali</a>
                    <button type="submit" class="btn btn-primary">
                        <i class="bi bi-save"></i> Perbarui Data
                    </button>
                </div>
            </form>
        </div>
    </div>
@endsection
