<!-- app/Views/layouts/navbar.php -->
<nav class="navbar navbar-expand-lg fixed-top">
    <div class="container">
        <!-- Logo di kiri -->
        <a class="navbar-brand d-flex align-items-center text-white" href="#">
            <img src="assets/admin/icon.png" alt="Logo" width="60" height="40">
            <span class="ms-2 fw-bold">Kost Calista</span>
        </a>

        <!-- Toggle button untuk tampilan mobile -->
        <button class="navbar-toggler border-0" type="button" data-bs-toggle="collapse" data-bs-target="#navbarNav" aria-controls="navbarNav" aria-expanded="false" aria-label="Toggle navigation">
            <span class="navbar-toggler-icon"></span>
        </button>

        <!-- Menu Navigasi -->
        <div class="collapse navbar-collapse justify-content-center" id="navbarNav">
            <ul class="navbar-nav text-center">
                <li class="nav-item"><a class="nav-link text-white active" href="#home">BERANDA</a></li>
                <li class="nav-item"><a class="nav-link text-white" href="#layanan">LAYANAN</a></li>
                <li class="nav-item"><a class="nav-link text-white" href="#galeri">GALERI</a></li>
                <li class="nav-item"><a class="nav-link text-white" href="#contact">KONTAK</a></li>
            </ul>

            <!-- Tombol Daftar & Masuk -->
            <div class="d-lg-none d-flex flex-column align-items-center mt-3">
                <a href="{{ route('register') }}" class="nav-link text-white me-3">DAFTAR</a>
            <a href="{{ route('login') }}" class="btn fw-bold masuk-button">MASUK</a>

            </div>
        </div>

        <!-- Tombol Daftar & Masuk di layar besar -->
        <div class="d-none d-lg-flex align-items-center tombol-auth">
            <a href="{{ route('register') }}" class="nav-link text-white me-3">DAFTAR</a>
            <a href="{{ route('login') }}" class="btn fw-bold masuk-button">MASUK</a>
        </div>
    </div>
</nav>